// Oleg Petruny proprietary.

#pragma once

#include "GameFramework/Actor.h"

#include "SubwaySurfObstacle.generated.h"

UCLASS(Blueprintable, BlueprintType, MinimalAPI, Abstract)
class ASubwaySurfObstacle : public AActor
{
    GENERATED_BODY()

public:
    UFUNCTION(BlueprintCallable)
    void Hit();

    class ASubwaySurfManager* subwaySurf = nullptr;

};

